QGIS Application - Bug report #11242
Unit settings not available on Ellipse Marker
2014-09-20 01:16 PM - Thomas Schuettenberg

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.4.0 Regression?: No
Operating System: windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19545
Description

Every marker type has several options to set map units / screen units (mm) for e.g. line width, symbol height, offsets etc.
At the Ellipse Marker these settings are not available anymore i.e. the dropdown selection for map unit/milimeter is empty and can not be
used. The global unit setting dropdown for markers works though.

Layers which have mixed ellipse marker units (e.g. symbol width and hight in map units, outline width in milimeter - created with earlier
versions of qgis (<2.4)) are still correctly rendered in 2.4 but they can not be generated in such a differentiated way. - Maybe this is (just) a

GUl issue.

found this on QGIS 2.4, Win 7 64bit (OSGeo4W) and Linux 14.04 64bit

History

#1 - 2014-09-20 01:41 PM - Nyall Dawson

I'm fairly certain this is fixed in master. Are you able to test with a current snapshot and confirm?

#2 - 2014-09-21 12:13 PM - Thomas Schuettenberg

I managed to test with QGIS master exported again (Xubuntu 14.04, 64bit VM Box) and everything works fine.

You are right, it seems the issue has already been fixed. - Sorry for the noise.

#3 - 2014-09-21 12:14 PM - Thomas Schuettenberg
- Status changed from Open to Closed
